Summary: symbolic debugger for C and other languages
Name: gdb
%define version 4.16.85
Version: %{version}
Release: 1
Copyright: GPL
Group: Development/Debuggers
Source: prep.ai.mit.edu:/pub/gnu/gdb-%{version}.tar.gz
BuildRoot: /var/tmp/gdb-root
Prereq: /sbin/install-info

%description
This is a full featured, command driven debugger. It allows you to
trace the exectuion of programs and examine their internal state
at any time. It works for C and C++ compiled with the GNU C compiler
gcc.

%prep 
%setup -q

%build

OS=`echo ${RPM_OS} | tr '[A-Z]' '[a-z]'`
./configure --prefix=/usr ${RPM_ARCH}-redhat-${OS}
make "CFLAGS=$RPM_OPT_FLAGS"
make info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/info

install -s -m755 -o 0 -g 0 gdb/gdb $RPM_BUILD_ROOT/usr/bin
install -m644 -o 0 -g 0 gdb/gdb.1 $RPM_BUILD_ROOT/usr/man/man1

for n in gdb/doc/gdb.info* gdb/doc/gdbint.info* gdb/doc/stabs.info*; do
    b=`basename $n`
    cp $n $RPM_BUILD_ROOT/usr/info
    gzip -fn9 $RPM_BUILD_ROOT/usr/info/$b
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
install-info /usr/info/gdb.info.gz /usr/info/dir
install-info /usr/info/stabs.info.gz /usr/info/dir
install-info /usr/info/gdbint.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    install-info --delete /usr/info/gdb.info.gz /usr/info/dir
    install-info --delete /usr/info/stabs.info.gz /usr/info/dir
    install-info --delete /usr/info/gdbint.info.gz /usr/info/dir
fi

%files
/usr/bin/gdb
/usr/man/man1/gdb.1
/usr/info/gdb.info*gz
/usr/info/gdbint.info*gz
/usr/info/stabs.info*gz

%changelog

* Sun Feb 08 1998 Jeff Johnson <jbj@jbj.org>

- Upgrade to gdb-4.16.85.

* Fri Feb 06 1998 Jeff Johnson <jbj@jbj.org>

- Upgrade to gdb-980122

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>

- updated to use a buildroot
- uses install-info

* Tue Aug 19 1997 Erik Troan <ewt@redhat.com>

- turned off mmalloc() support, which seems to annoy glibc (resulting in
  a quick core dump inside of getcwd())

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>

- built against glibc

